## ros-indigo-romeo-moveit-actions 0.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
SET(PROJECTNAME romeo_moveit_actions)
project(${PROJECTNAME})

find_package(catkin REQUIRED COMPONENTS 
  moveit_ros_planning 
  moveit_ros_planning_interface
  moveit_visual_tools
  moveit_simple_grasps
  std_msgs
  geometry_msgs
  geometric_shapes
  roscpp
  cmake_modules
  object_recognition_msgs
  actionlib
)

find_package(Boost REQUIRED system thread date_time system filesystem)
find_package(Boost QUIET COMPONENTS program_options)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS geometric_shapes
)

###########
## Build ##
###########

include_directories(include/romeo_moveit_actions ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

link_directories(${Boost_LIBRARY_DIRS})

set(SRC
  src/main.cpp
  src/simplepickplace.cpp
  src/metablock.cpp
  src/action.cpp
  src/postures.cpp
  src/objprocessing.cpp
  src/visualtools.cpp
  include/romeo_moveit_actions/simplepickplace.hpp
  include/romeo_moveit_actions/metablock.hpp
  include/romeo_moveit_actions/action.hpp
  include/romeo_moveit_actions/custom_environment5.hpp
  include/romeo_moveit_actions/postures.hpp
  include/romeo_moveit_actions/tools.hpp
  include/romeo_moveit_actions/toolsForAction.hpp
  include/romeo_moveit_actions/objprocessing.hpp
  include/romeo_moveit_actions/visualtools.hpp
)

# Main executable
add_executable(${PROJECTNAME} ${SRC})

target_link_libraries(${PROJECTNAME}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES})

=== debian/changelog ===
ros-indigo-romeo-moveit-actions (0.0.7-2trusty) trusty; urgency=high

  * Merge pull request #1 <https://github.com/nlyubova/romeo_moveit_actions/issues/1> from IanTheEngineer/remove_shape_tools
    Convert deprecated shape_tools dependency
  * Convert deprecated shape_tools dependency
    shape_tools functionality was merged into geometric_shapes:
    https://github.com/ros-planning/geometric_shapes/pull/32
    and removed from moveit_core
    https://github.com/ros-planning/moveit_core/pull/242
    which caused this issue.
    This commit updates the pick and place tutorial and adds
    geometric_shapes to the package.xml and CMakeLists.txt to
    prevent the ROS buildfarm from failing to build this package.
  * Contributors: Ian McMahon, Natalia Lyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Tue, 02 Feb 2016 23:00:00 -0000

ros-indigo-romeo-moveit-actions (0.0.6-2trusty) trusty; urgency=high

  * fixing visualization of geometric shapes and cleaning
  * renaming the package to romeo_moveit_actions

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Tue, 29 Dec 2015 23:00:00 -0000

ros-indigo-romeo-moveit-actions (0.0.5-2trusty) trusty; urgency=high

  * adding changelogs

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Sun, 13 Dec 2015 23:00:00 -0000

ros-indigo-romeo-moveit-actions (0.0.4-2trusty) trusty; urgency=high

  * adding changelogs
  * fixing with changes in moveit visual tools

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Wed, 09 Dec 2015 23:00:00 -0000

ros-indigo-romeo-moveit-actions (0.0.3-2trusty) trusty; urgency=high

  * 0.0.2
  * adding CHANGELOG.rst

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Wed, 25 Nov 2015 16:46:00 -0000

ros-indigo-romeo-moveit-actions (0.0.2-2trusty) trusty; urgency=high

  * adding CHANGELOG.rst
  * adding a planning group (arm) name as an argument
  * taking into account object height when grasping
  * initial commit, new version of romeo_action package

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Wed, 25 Nov 2015 16:09:00 -0000

=== debian/control ===
Source: ros-indigo-romeo-moveit-actions
Section: misc
Priority: extra
Maintainer: Natalia Lyubova <natalia.lyubova@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-geometric-shapes, ros-indigo-geometry-msgs, ros-indigo-moveit-core, ros-indigo-moveit-ros-planning, ros-indigo-moveit-ros-planning-interface, ros-indigo-moveit-simple-grasps, ros-indigo-moveit-visual-tools, ros-indigo-object-recognition-msgs, ros-indigo-roscpp, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-romeo-moveit-actions
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-geometric-shapes, ros-indigo-geometry-msgs, ros-indigo-moveit-core, ros-indigo-moveit-planners, ros-indigo-moveit-planners-ompl, ros-indigo-moveit-plugins, ros-indigo-moveit-ros, ros-indigo-moveit-ros-planning, ros-indigo-moveit-ros-planning-interface, ros-indigo-moveit-ros-visualization, ros-indigo-moveit-simple-controller-manager, ros-indigo-moveit-simple-grasps, ros-indigo-object-recognition-msgs, ros-indigo-roscpp, ros-indigo-std-msgs
Description: Interaction with objects using MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-romeo-moveit-actions//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
